osgWidget::StyleInterface Class Reference

`#include <StyleInterface>`

Inheritance diagram for osgWidget::StyleInterface:

## Public Member Functions

| StyleInterface ()
| StyleInterface (const StyleInterface &si)
void | setStyle (const std::string &style)
std::string & | getStyle ()
const std::string & | getStyle () const

## Constructor & Destructor Documentation

## StyleInterface() [1/2]

osgWidget::StyleInterface::StyleInterface | ( |  | ) |

inline

Referenced by StyleInterface().

## StyleInterface() [2/2]

osgWidget::StyleInterface::StyleInterface | ( | const StyleInterface & | si | ) |

inline

References StyleInterface().

## Member Function Documentation

## getStyle() [1/2]

std::string & osgWidget::StyleInterface::getStyle | ( |  | ) |

inline

## getStyle() [2/2]

const std::string & osgWidget::StyleInterface::getStyle | ( |  | ) | const

inline

## setStyle()

void osgWidget::StyleInterface::setStyle | ( | const std::string & | style | ) |

inline

The documentation for this class was generated from the following file:

- StyleInterface